@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\repo

set CLASSPATH="%BASEDIR%"\conf;"%REPO%"\bw-access-4.0.7.jar;"%REPO%"\bw-util-caching-4.0.25.jar;"%REPO%"\bw-util-args-4.0.26.jar;"%REPO%"\bw-util-cli-4.0.26.jar;"%REPO%"\commons-lang-2.3.jar;"%REPO%"\bw-util-http-4.0.26.jar;"%REPO%"\bw-util-config-4.0.26.jar;"%REPO%"\bw-util-jmx-4.0.26.jar;"%REPO%"\bw-util-jolokia-4.0.26.jar;"%REPO%"\httpclient-osgi-4.5.3.jar;"%REPO%"\httpmime-4.5.3.jar;"%REPO%"\httpclient-cache-4.5.3.jar;"%REPO%"\fluent-hc-4.5.3.jar;"%REPO%"\jolokia-client-java-1.3.1.jar;"%REPO%"\json-simple-1.1.1.jar;"%REPO%"\bw-util-logging-4.0.4.jar;"%REPO%"\bw-util-misc-4.0.26.jar;"%REPO%"\bw-util-xml-4.0.26.jar;"%REPO%"\httpclient-4.5.3.jar;"%REPO%"\commons-logging-1.2.jar;"%REPO%"\commons-codec-1.9.jar;"%REPO%"\httpcore-4.4.8.jar;"%REPO%"\jackson-core-2.9.8.jar;"%REPO%"\jackson-databind-2.9.8.jar;"%REPO%"\jackson-annotations-2.9.8.jar;"%REPO%"\log4j-1.2.15.jar;"%REPO%"\mail-1.4.jar;"%REPO%"\activation-1.1.jar;"%REPO%"\bw-cli-4.0.8.jar

set ENDORSED_DIR=
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH% -Dapp.name="client" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" org.bedework.bwcli.BwCli %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
